import { useRequest } from '@/use/useHttp'

/**
 *  销售统计数据
 * @returns
 */
export const SaleOrderDataFormApi = () => {
  return useRequest({
    url: '/v2/mp/saleOrderDataForm',
    method: 'get',
  })
}

/**
 * 面料销售排行
 * @returns
 */
export const ProductRankApi = () => {
  return useRequest({
    url: '/v2/mp/saleOrderDataForm/product/list',
    method: 'get',
  })
}

/**
 * 客户销售排行
 * @returns
 */
export const PurchaserRankApi = () => {
  return useRequest({
    url: '/v2/mp/saleOrderDataForm/purchaser/list',
    method: 'get',
  })
}

/**
 * 经销商销售排行
 * @returns
 */
export const SupplierRankApi = () => {
  return useRequest({
    url: '/v2/mp/saleOrderDataForm/supplier/list',
    method: 'get',
  })
}

/**
 * 业务员销售排行
 * @returns
 */
export const SalesmanRankApi = () => {
  return useRequest({
    url: '/v2/mp/saleOrderDataForm/saleUser/list',
    method: 'get',
  })
}

// 获取排行指标枚举
export const SaleOrderDataFormdataFormStatus = () => {
  return useRequest({
    url: '/v2/mp/saleOrderDataForm/dataFormStatus',
    method: 'get',
  })
}
